import { App } from "../controllers/app";
import { FileSystemRepository } from "../repository/file_system_repository";
import { CreateFolderUseCase } from "./create_folder_usecase";

export class CheckAndCreateStaticFilesFolderUseCase {
  fileSystemRepository: FileSystemRepository;

  constructor() {
    this.fileSystemRepository = new FileSystemRepository();
  }
  call = async (): Promise<void> => {
    if (await this.fileSystemRepository.dirIsExists(App.staticFilesStoreDir())) {
      return;
    }
    const createFolderUseCase = await new CreateFolderUseCase().call(App.staticFilesStoreDir());

    createFolderUseCase.fold(
      (_s) => {},
      (e) => {
        console.log(e);
      }
    );
  };
}
