import { Schema, model } from "mongoose";
import { IPipeline } from "../../../core/models/process_model";
import { schemaProcess } from "../../_process/models/process_database_model";
import { triggerSchema } from "../../_triggers/models/trigger_database_model";

export const PipelineSchema = new Schema({
  process: {
    type: Schema.Types.ObjectId,
    ref: schemaProcess,
    autopopulate: true,
    default: null,
  },
  trigger: {
    type: Schema.Types.ObjectId,
    ref: triggerSchema,
    autopopulate: true,
    default: null,
  },
  stackGenerateType: {
    type: String,
    default: null,
  },
}).plugin(require("mongoose-autopopulate"));

export const schemaPipeline = "Pipeline";

export const PipelineDBModel = model<IPipeline>(schemaPipeline, PipelineSchema);
