import { IsOptional, ValidateNested } from "class-validator";
import { IPipeline, IProcess, StackGenerateType } from "../../../core/models/process_model";
import { Type } from "class-transformer";
import { ProcessModel } from "../../_process/models/process_validation_model";
import { TriggerModelValidationModel } from "../../_triggers/models/trigger_validation_model";

export class PipelineModel implements IPipeline {
  @ValidateNested()
  @Type(() => ProcessModel)
  public process: IProcess;

  @ValidateNested()
  @Type(() => TriggerModelValidationModel)
  public trigger: TriggerModelValidationModel;

  @IsOptional()
  public env = null;

  @IsOptional()
  public stackGenerateType: StackGenerateType;
}
