import { IsBoolean, IsEnum, IsNumber, IsOptional, IsString } from "class-validator";
import { EXEC_TYPE } from "../../../core/models/exec_error_model";
import { IProcess, IssueType } from "../../../core/models/process_model";

export class ProcessModel implements IProcess {
  @IsEnum(EXEC_TYPE)
  public type: EXEC_TYPE;

  @IsString()
  public description: string;

  @IsString()
  public command: string;

  @IsBoolean()
  public isGenerating: boolean;

  @IsBoolean()
  public isLocaleCode: boolean;

  @IsEnum(IssueType)
  public issueType: IssueType;

  @IsOptional()
  @IsNumber()
  public timeout?: number;

  @IsOptional()
  @IsString()
  public commit?: string;
}
