import { IsString } from "class-validator";
import { CoreHttpController } from "../../core/controllers/http_controller";
import { PipelineRealTimeService } from "../../core/services/pipeline_real_time_service";
import { RunInstancePipelineUseCase } from "./domain/run_instance_pipeline_usecase";
import { PipelineStatusUseCase } from "./domain/pipeline_status_usecase";

export const pipelineRealTimeService = new PipelineRealTimeService();

export class RealTimeValidationModel {
  @IsString()
  public id: string;
}

export class RealTimePresentation extends CoreHttpController<RealTimeValidationModel> {
  constructor() {
    super({
      validationModel: RealTimeValidationModel,
      url: "realtime",
      databaseModel: null,
    });
    super.get(new PipelineStatusUseCase().call);
    this.subRoutes.push({
      method: "POST",
      subUrl: "run",
      fn: new RunInstancePipelineUseCase(),
    });
  }
}
