import { Schema, model } from "mongoose";

export interface ITriggerModel {
  _id?: string;
  type: string;
  description: string;
  value: string[];
}

export const TriggerSchema = new Schema({
  type: {
    type: String,
    require: true,
  },
  description: {
    type: String,
  },
  value: {
    type: Array,
    require: true,
  },
});

export const triggerSchema = "Trigger";

export const TriggerDBModel = model<ITriggerModel>(triggerSchema, TriggerSchema);

export enum TriggerType {
  PROCESS = "PROCESS",
  FILE = "FILE",
}

export interface Trigger {
  type: TriggerType;
  value: string[];
}
