import { IsArray, IsOptional, IsEnum, IsString } from "class-validator";
import { ITriggerModel, TriggerType } from "./trigger_database_model";

export class TriggerModelValidationModel implements ITriggerModel {
  @IsOptional()
  public _id: string;

  @IsString()
  public description;

  @IsEnum(TriggerType)
  public type: TriggerType;

  @IsArray()
  public value: string[];
}
