import { EXEC_TYPE } from "../../src/core/models/exec_error_model";
import { IPipeline, IssueType, StackGenerateType } from "../../src/core/models/process_model";
import { TriggerType } from "../../src/features/_triggers/models/trigger_database_model";

export const mockSimplePipeline: IPipeline[] = [
  {
    process: {
      type: EXEC_TYPE.EXEC,
      command: `nix run gitlab:robossembler/nix-robossembler-overlay#test-script '{
          "filesMeta":[
              {"type":"folder","name":"example", "path": null,"rewrite":true}
          ],
          "path":"$PATH"
      }'`,
      isGenerating: true,
      isLocaleCode: false,
      issueType: IssueType.WARNING,
    },
    trigger: {
      type: TriggerType.PROCESS,
      value: [""],
    },
    env: null,
    stackGenerateType: StackGenerateType.SINGLETON,
  },
  {
    process: {
      type: EXEC_TYPE.EXEC,
      command: `nix run gitlab:robossembler/nix-robossembler-overlay#test-script '{
          "filesMeta":[
              {"type":"file","name":"1.txt", "path":"example","rewrite":true}
          ],
          "path":"$PATH"
      }'`,
      isGenerating: true,
      isLocaleCode: false,
      issueType: IssueType.WARNING,
    },
    trigger: null,
    env: null,
    stackGenerateType: StackGenerateType.SINGLETON,
  },
];
